-- Hitmarker --
--   Yates   --

--   Update  --
-- 29/5/2012 --

function Array(size,value)
	local array = {}
	for i = 1, size do
		array[i] = value
	end
	return array
end

function contains(table, element)
    for _, value in ipairs(table) do
        if value == element then
            return true
        end
    end
    return false
end

hit_marker_image = Array(32,0)

imagepath = "gfx/yates/lua/hit_marker"

WeaponsTable = {}

--[[ 
Example:
WeaponsTable = {32,51,74}
The weapons with the ID 32, 51 & 74 (M4A1, HE & Wrench) will display the hitmarker on hit.
]]--

addhook("hit","hm_hit")
function hm_hit(id,source,weapon)
	if player(source,"team")~=player(id,"team") then
		if contains(WeaponsTable,weapon) then
			hit_marker_image[id] = image(imagepath..".png",0,0,2,source)
			imagecolor(hit_marker_image[id],255,player(id,"health")*2.55,player(id,"health")*2.55)
			imagealpha(hit_marker_image[id],0.8)
			imagepos(hit_marker_image[id],320,200,math.random(1,360))
			tween_alpha(hit_marker_image[id],1000,0.3)
			timer(2000,"freeimage",hit_marker_image[id])
		end
	else
	end
end